"use strict";

exports.__esModule = true;
exports.command = void 0;
var command = {
  name: 'extendCellsSelectionToColumns',
  callback: function callback(hot) {
    var _hot$getSelectedRange = hot.getSelectedRangeLast(),
      highlight = _hot$getSelectedRange.highlight,
      from = _hot$getSelectedRange.from,
      to = _hot$getSelectedRange.to;
    if (hot.selection.isSelectedByRowHeader()) {
      hot.selectAll(true, true, highlight);
    } else {
      hot.selectColumns(from.col, to.col, highlight.row);
    }
  }
};
exports.command = command;